<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:template match="pflogx">
	<html>
	<head>
		<title>pflogx - Packet filter logs</title>
	</head>
	<body>
		<xsl:apply-templates/>
	</body>
	</html>
</xsl:template>

<xsl:template match="logs">
	<table border="1">
	<tr>
		<th>Date</th>
		<th>Interface</th>
		<th>Action</th>
		<th>Rule</th>
		<th>Direction</th>
		<th>Protocol</th>
		<th>Src. address</th>
		<th>Src. port</th>
		<th>Dest. address</th>
		<th>Dest. port</th>
	</tr>
	<xsl:apply-templates/>
	</table>
</xsl:template>

<xsl:template match="log">
	<tr>
		<xsl:for-each select="@*">
			<td><xsl:value-of select="." /></td>
		</xsl:for-each>
	</tr>
</xsl:template>

</xsl:stylesheet>
